Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365233 - usb_modeswitch-data-20170205 is available
Summary: usb_modeswitch-data-20170205 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch-data
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 16:50 UTC by Upstream Release Monitoring
Modified: 2017-03-09 11:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-08-08 16:50 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2017-01-21 00:29 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2017-02-05 12:22 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-08 16:50:18 UTC
Latest upstream release: 20160803
Current version/release in rawhide: 20160612-3.fc26
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5060/

Comment 1 Upstream Release Monitoring 2016-08-08 16:50:48 UTC
Patching or scratch build for usb_modeswitch-data-20160612 failed.

Comment 2 Upstream Release Monitoring 2016-08-08 16:50:50 UTC
Created attachment 1188855 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-08-08 16:50:51 UTC
Patches were not touched. All were applied properly

Comment 4 Account closed by the user 2016-08-08 20:44:07 UTC
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 20160803
> Current version/release in rawhide: 20160612-3.fc26
> URL: http://www.draisberghof.de/usb_modeswitch/
> Based on the information from anitya: https://release-monitoring.org/project/5060/

20160803:
    Added devices: [03f0:521d] HP hs3110, [03f0:531d] HP hs3120,
    [03f0:541d] HP hs3114, [03f0:581d] HP hs4112, [03f0:631d] HP lt4225,
    [03f0:641d] HP lt4226, [03f0:681d] HP lt4227, [03f0:911d] HP lt4211,
    [03f0:931d] HP lt4110, [03f0:9a1d] HP lt4114, [1004:610c] LG L-02A,
    [12d1:1527] Vodafone/Huawei R206 Router , [12d1:1570] Huawei ME906E,
    [12d1:1571] Huawei EM820W, [12d1:1572] Huawei MU733, [12d1:1580]
    Vodafone/Huawei R210 Router, [12d1:1581] Vodafone/Huawei R208 Router,
    [12d1:15bb] Huawei ME936, [12d1:15c0] Huawei ME906C, [12d1:15f0]
    Huawei MU736, [12d1:1c25] Huawei MU709s-2 Module, [12d1:1f04]
    Vodafone/Huawei R206_MR Router, [12d1:1f05] Vodafone/Huawei R207
    Router, [12d1:1f06] Vodafone/Huawei R215_MR Router, [16d5:f000]
    Anydata ADU-890WH, [1726:1900] Axesstel MV210, [1782:0023] Spreadtrum
    SC7702 (Variant), [19d2:1019] Vodafone/ZTE R203 Router, [19d2:1020]
    Vodafone/ZTE R203 Router, [19d2:1022] Vodafone/ZTE K4201-z, [19d2:1026]
    Vodafone/ZTE R212 Router, [19d2:1034] Vodafone/ZTE R206-z Router,
    [19d2:1042] Vodafone/ZTE R209-z Router, [19d2:1046] ZTE MF730,
    [1c9e:f010] Micromax MMX400R/4G Systems XSBOXGO, [2001:7600] D-Link
    DWM-157 C1, [2015:0001] Venus VT-18, [230d:000c] Zoom 3G, [6000:1000]
    BlueLink BL-EV08C;
    Corrected/amended configs: [0408:f000] MU-Q110, [0408:f000:uMa=Yota]
    Yota Router (Quanta 1QDLZZZ0ST2), [057c:62ff] AVM Fritz!Wlan USB Stick
    N v2, [057c:84ff] AVM Fritz!Wlan USB Stick N, [05c6:1000:uMa=CELOT]
    Celot K-300 a.o., [07d1:a800] D-Link DWM-156 HSUPA 3.75G a.o.,
    [1004:6190] LG AD600, [12d1:1c0b] Huawei E173s, [2020:f00e] SpeedUp
    SU-8000 a.o., [2077:f000] Telenet 3G dongle a.o., [22f4:0021] Tata
    Photon+, Olive VME102;
    Removed devices (handled by kernel): [0bdb:190d] Ericsson F5521gw,
    [0bdb:1910] Ericsson F5521gw (Variant); changes in Makefile to align
    with Debian packaging requirements; small updates in "gen-rules.tcl";
    "NoDriverLoading" parameter removed from all configs - this time for
    real ...

Comment 5 Upstream Release Monitoring 2016-11-21 13:43:44 UTC
lkundrak's usb_modeswitch-data-20160803-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=819237

Comment 6 Upstream Release Monitoring 2017-01-21 00:29:15 UTC
Latest upstream release: 20170120
Current version/release in rawhide: 20160803-1.fc26
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5060/

Comment 7 Upstream Release Monitoring 2017-01-21 00:29:47 UTC
Patching or scratch build for usb_modeswitch-data-20160803 failed.

Comment 8 Upstream Release Monitoring 2017-01-21 00:29:49 UTC
Created attachment 1243064 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 9 Upstream Release Monitoring 2017-01-21 00:29:51 UTC
Patches were not touched. All were applied properly

Comment 10 Upstream Release Monitoring 2017-02-05 12:21:55 UTC
Latest upstream release: 20170205
Current version/release in rawhide: 20160803-1.fc26
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5060/

Comment 11 Upstream Release Monitoring 2017-02-05 12:22:27 UTC
Patching or scratch build for usb_modeswitch-data-20160803 failed.

Comment 12 Upstream Release Monitoring 2017-02-05 12:22:28 UTC
Created attachment 1247812 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 13 Upstream Release Monitoring 2017-02-05 12:22:30 UTC
Patches were not touched. All were applied properly

Comment 14 poma 2017-02-07 21:14:01 UTC
Josua Dietze,
care to provide message digest for usb-modeswitch-data-20170205.tar.bz2?

Comment 15 Josua Dietze 2017-02-19 20:00:01 UTC
poma, can you elaborate? Do you need an MD5 string? For which file exactly?

Comment 16 Josua Dietze 2017-02-20 12:27:37 UTC
Bump to change NEEDINFO status

Comment 17 Josua Dietze 2017-02-20 12:28:57 UTC
Shoot! Bump again ...

Comment 18 Josua Dietze 2017-02-25 08:38:45 UTC
This upstream release fixes bug #1374913.

Again: please tell me the details about what sort of message digest you require!

Comment 19 poma 2017-03-07 12:05:50 UTC
(In reply to Josua Dietze from comment #18)
> This upstream release fixes bug #1374913.
> 
> Again: please tell me the details about what sort of message digest you
> require!

Yeah, the MD5 checksum - if it is sufficient enough for e.g. Drive, and ModemManager
https://developers.google.com/drive/v3/reference/files
https://lists.freedesktop.org/archives/modemmanager-devel/2016-November/003599.html
then I guess it should be sufficient here also, I mean upstream
http://www.draisberghof.de/usb_modeswitch/#download

Yeah, for both, usb-modeswitch and -data.

Thanks

Comment 20 Josua Dietze 2017-03-07 21:52:17 UTC
MD5 is available.

I have inserted it in the page, but for automatic update checks I rather recommend using the following link which I have truefully maintained for several years, and now it's appended with the MD5 fields as well:

http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-versions.xml

Comment 21 poma 2017-03-09 11:05:08 UTC
(In reply to Josua Dietze from comment #20)
> MD5 is available.
> 
> I have inserted it in the page, but for automatic update checks I rather
> recommend using the following link which I have truefully maintained for
> several years, and now it's appended with the MD5 fields as well:
> 
> http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-versions.xml

Thank you!


Note You need to log in before you can comment on or make changes to this bug.